> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Kling Turbo 2.5 · Text to video

> Great for energetic product demos, fast motion, and smooth action shots.

[← Kling](/api-documentation/ai-generation/models/kling)

**Model name:** `kling-video/v2.5-turbo/pro/text-to-video`\
**Generation type:** `text_to_video`\
**Endpoint:** [`POST /api/asset_generator/`](/api-reference/ai-generation/post-ai-generation)

## Pricing

| Duration | Credits |
| - | - |
| 5s | **3.5** |
| 10s | **7.0** |

Prices are per output. When a request asks for several outputs, the charge is this price times the number of outputs.

## Quick start

<CodeGroup>
  ```bash cURL theme={null}
  curl --request POST \
    --url https://api.creatify.ai/api/asset_generator/ \
    --header 'Content-Type: application/json' \
    --header 'X-API-ID: your-api-id' \
    --header 'X-API-KEY: your-api-key' \
    --data '{
      "model_name": "kling-video/v2.5-turbo/pro/text-to-video",
      "input_params": {
        "prompt": "A slow cinematic tracking shot along a sunlit coastal road."
      }
    }'
  ```

  ```python Python theme={null}
  import requests

  response = requests.post(
      "https://api.creatify.ai/api/asset_generator/",
      headers={"X-API-ID": "your-api-id", "X-API-KEY": "your-api-key"},
      json={
          "model_name": "kling-video/v2.5-turbo/pro/text-to-video",
          "input_params": {
              "prompt": "A slow cinematic tracking shot along a sunlit coastal road."
          },
      },
  )
  print(response.json()["id"])
  ```
</CodeGroup>

## Input parameters

Send these fields in `input_params`.

<ParamField body="prompt" type="string" required>
  The prompt to generate an image from.

  Minimum characters: `1`.
  Maximum characters: `2500`.
</ParamField>

<ParamField body="duration" type="string" default={"5"}>
  The duration of the generated video in seconds

  Allowed values: `"5"`, `"10"`.
</ParamField>

<ParamField body="cfg_scale" type="number" default={0.5}>
  The CFG (Classifier Free Guidance) scale is a measure of how close you want
  the model to stick to your prompt.

  Minimum: `0`.
  Maximum: `1`.
  Multiple of: `0.1`.
</ParamField>

<ParamField body="aspect_ratio" type="string" default={"16:9"}>
  The aspect ratio of the generated video frame

  Allowed values: `"16:9"`, `"9:16"`, `"1:1"`.
</ParamField>

<ParamField body="negative_prompt" type="string" default={"blur, distort, and low quality"}>
  Negative Prompt

  Maximum characters: `2500`.
</ParamField>

<Accordion title="Complete JSON schema">
  ```json theme={null}
  {
    "$schema": "http://json-schema.org/draft-07/schema#",
    "required": [
      "prompt"
    ],
    "properties": {
      "prompt": {
        "type": "string",
        "title": "Prompt",
        "maxLength": 2500,
        "minLength": 1,
        "description": "The prompt to generate an image from."
      },
      "duration": {
        "enum": [
          "5",
          "10"
        ],
        "type": "string",
        "title": "Duration",
        "default": "5",
        "description": "The duration of the generated video in seconds"
      },
      "cfg_scale": {
        "type": "number",
        "title": "Cfg Scale",
        "default": 0.5,
        "maximum": 1,
        "minimum": 0,
        "multipleOf": 0.1,
        "description": "\n            The CFG (Classifier Free Guidance) scale is a measure of how close you want\n            the model to stick to your prompt.\n        ",
        "x-advance-settings": true
      },
      "aspect_ratio": {
        "enum": [
          "16:9",
          "9:16",
          "1:1"
        ],
        "type": "string",
        "title": "Aspect Ratio",
        "default": "16:9",
        "description": "The aspect ratio of the generated video frame"
      },
      "negative_prompt": {
        "type": "string",
        "title": "Negative Prompt",
        "default": "blur, distort, and low quality",
        "maxLength": 2500,
        "x-advance-settings": true
      }
    }
  }
  ```
</Accordion>

## Response

The request returns the task with `status: "initializing"`. Poll [GET /api/asset\_generator/\{id}/](/api-reference/ai-generation/get-ai-generation-) until `status` is `done` or `failed`, or pass a `webhook_url` to be notified. A finished task lists its files in `assets` and the credits it charged in `credits_used`.


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.